Package wx :: Package lib :: Module buttonpanel :: Class ButtonPanelText

[frames | no frames]

## Type ButtonPanelText

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
               Control --+
                         |
                        ButtonPanelText

Method Summary
| ``__init__`(self, parent, text)` Default class constructor.
| ``CreateDC`(self)` Convenience function to create a DC.
| ``Draw`(self, dc, rect)` Draws the main caption.
| ``GetBestSize`(self)` Returns the best size for the main caption in ButtonPanel.
| ``GetText`(self)` Returns the caption text.
| ``SetText`(self, text)` Sets the caption text.

Property Summary

Method Details

### __init__(self, parent, text='')
(Constructor)

Default class constructor.

  Overrides:
    `wx.lib.buttonpanel.Control.__init__`

### CreateDC(self)

Convenience function to create a DC.

### Draw(self, dc, rect)

Draws the main caption. Actually the drawing is done in BPArt.

  Overrides:
    `wx.lib.buttonpanel.Control.Draw`

### GetBestSize(self)

Returns the best size for the main caption in ButtonPanel.

  Overrides:
    `wx.lib.buttonpanel.Control.GetBestSize`

### GetText(self)

Returns the caption text.

### SetText(self, text='')

Sets the caption text.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:56 2007 | http://epydoc.sf.net